geos::geomgraph::EdgeIntersection Class Referencefinal

Represents a point on an edge which intersects with another edge. More...

`#include <EdgeIntersection.h>`

## Public Member Functions

| EdgeIntersection (const geom::Coordinate &newCoord, std::size_t newSegmentIndex, double newDist)
bool | isEndPoint (std::size_t maxSegmentIndex) const
const geom::Coordinate & | getCoordinate () const
size_t | getSegmentIndex () const
double | getDistance () const
bool | operator== (const EdgeIntersection &other) const

## Public Attributes

geom::Coordinate | coord
double | dist
std::size_t | segmentIndex

## Detailed Description

Represents a point on an edge which intersects with another edge.

The intersection may either be a single point, or a line segment (in which case this point is the start of the line segment) The intersection point must be precise.

The documentation for this class was generated from the following file:

- EdgeIntersection.h